package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;

/**
 * @author chenken
 * @date 2018年5月3日 上午9:18:19
 * @company QMTH
 * @description ExamClient.java
 */
@Service
public class ExamCloudServiceClient extends BasicCloudClientSupport implements ExamCloudService {

	private static final long serialVersionUID = -2880611326177571371L;

	@Autowired
	RestTemplate restTemplate;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public void saveExam(SaveExamReq exam) {
		post("exam", exam, SaveExamReq.class);
	}

	@Override
	public GetExamResp getExam(GetExamReq examReq) {
		return post("exam/findExam", examReq, GetExamResp.class);
	}

}
