package cn.com.qmth.examcloud.core.examwork.api.controller;

import cn.com.qmth.examcloud.core.examwork.dao.bean.ExamCourseCriteria;
import cn.com.qmth.examcloud.core.examwork.dao.bean.ExamCourseDTO;
import cn.com.qmth.examcloud.core.examwork.service.impl.ExamCourseService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * Created by yuanpan on 2017/4/12.
 */
@RestController
@RequestMapping("${$rmp.ctr.examwork}/exam_course")
public class ExamCourseController {

    @Autowired
    private ExamCourseService examCourseService;


    @GetMapping
    public Page<ExamCourseDTO> findAllPage(@RequestParam("exam_id") Long examId,
                                           @RequestParam(value = "course_code",required = false) String courseCode,
                                           @RequestParam(value = "course_level",required = false) String courseLevel,
                                           @RequestParam("cur_page") Integer curPage,
                                           @RequestParam("page_size") Integer pageSize) {
        ExamCourseCriteria courseCriteria = new ExamCourseCriteria(examId,courseCode,courseLevel,curPage,pageSize);
        Page<ExamCourseDTO> examCourseDTOs = examCourseService.findAllPage(courseCriteria);
        return examCourseDTOs;
    }

    @GetMapping("/marking")
    public List<ExamCourseDTO> findAll(@RequestParam("exam_id") Long examId) {
        ExamCourseCriteria courseCriteria = new ExamCourseCriteria(examId);
        List<ExamCourseDTO> examCourseDTOs = examCourseService.findAll(courseCriteria);
        return examCourseDTOs;
    }
}
