package cn.com.qmth.examcloud.core.examwork.api.controller;

import cn.com.qmth.examcloud.core.examwork.dao.ExamStudentRepo;
import cn.com.qmth.examcloud.core.examwork.dao.bean.ExamPaperTypeDTO;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamStudent;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
/**
 * Created by yuanpan on 2017/4/12.
 */
@RestController
@RequestMapping("${$rmp.ctr.examwork}/exam_paper_type")
public class ExamPaperTypController {

    @Autowired
    ExamStudentRepo examStudentRepo;


    @ApiOperation(value="根据考试获取试卷类型",notes = "获取试卷类型")
    @GetMapping
    public List<ExamPaperTypeDTO> query(@RequestParam("exam_id") Long examId,
                                        @RequestParam("course_no") String courseNo) {


        List<ExamStudent> examStudents = examStudentRepo.findDistinctPaperType(examId,courseNo);

        List<ExamPaperTypeDTO> examPaperTypeDTOs = new ArrayList<ExamPaperTypeDTO>();

        for(ExamStudent examStudent:examStudents){
            ExamPaperTypeDTO examPaperTypeDTO = new ExamPaperTypeDTO();
            examPaperTypeDTO.setCode(examStudent.getPaperType());
            examPaperTypeDTO.setName(examStudent.getPaperType());
            examPaperTypeDTO.setExamId(examId);
            examPaperTypeDTOs.add(examPaperTypeDTO);
        }

        if(examStudents == null || examStudents.size() == 0){
            ExamPaperTypeDTO examPaperTypeDTO = new ExamPaperTypeDTO();
            examPaperTypeDTO.setCode("O");
            examPaperTypeDTO.setName("O");
            examPaperTypeDTO.setExamId(examId);
            examPaperTypeDTOs.add(examPaperTypeDTO);
        }
        return examPaperTypeDTOs;
    }

}
