package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.examwork.dao.entity.Exam;

public interface ExamRepo
		extends
			JpaRepository<Exam, Long>,
			QueryByExampleExecutor<Exam>,
			JpaSpecificationExecutor<Exam> {

	List<Exam> findByRootOrgId(Long rootOrgId);

	List<Exam> findByIdIn(List<Long> ids);

	List<Exam> findByNameAndRootOrgId(String name, Long rootOrgId);

	Long countByName(String name);

	Long countByNameAndRootOrgId(String name, Long rootOrgId);

	Long countByNameAndIdNot(String name, Long id);

	Long countByNameAndRootOrgIdAndIdNot(String name, Long rootOrgId, Long id);

	@Transactional
	@Modifying
	@Query("update Exam e set e.canStuDel = false where e.id = ?1")
	void canNotDel(Long id);
}
