package cn.com.qmth.examcloud.core.examwork.dao.bean;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;
import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;
import cn.com.qmth.examcloud.core.examwork.dao.entity.Exam;

public class ExamStudentDTO implements JsonSerializable{

	private static final long serialVersionUID = 757982847766860857L;

	private Long id;
	
	@ExcelProperty(index = 0,name = "姓名")
	private String name;

	private Exam exam;

	private Long examId;
	/**
	 * 学校id
	 */
    private Long rootOrgId;
	/**
	 * 学习中心id
	 */
    private Long orgId;

    @ExcelProperty(index = 1,name = "学号")
	private String studentCode;
    @ExcelProperty(index = 2,name = "身份证号")
	private String identityNumber;
    /**
	 * 学习中心code
	 */
    @ExcelProperty(index = 3,name = "学习中心代码")
    private String orgCode;
    @ExcelProperty(index = 4,name = "学习中心名称")
    private String orgName;
    
	private String examNumber;
	
	@ExcelProperty(index = 5,name = "课程代码")
	private String courseCode;
	
	@ExcelProperty(index = 6,name = "课程名称")
	private String courseName;
	
	private String courseLevel;
	
	/**
	 * 试卷类型
	 */
	@ExcelProperty(index = 7,name = "试卷类型")
	private String paperType;
	/**
	 * 学位
	 */
	private Boolean degree;

	private String specialtyCode;

	@ExcelProperty(index = 8,name = "专业")
	private String specialtyName;
	
	/**
	 * 是否重修
	 */
	private Boolean repair;
	
	/**
	 * 是否毕业
	 */
	private Boolean graduated;

	private String remark;
	
	private Long studentId;
	/**
	 * 是否缺考 
	 */
	private Boolean finished;
	/**
	 * 考点
     */
	@ExcelProperty(index = 9,name = "考点")
	private String examSite;

	@ExcelProperty(index = 10,name = "信息采集人")
	private String infoCollector;
	
	@ExcelProperty(index = 11,name = "学生电话")
	private String phone;
	/**
	 * 年级
	 */
	@ExcelProperty(index = 12,name = "年级")
	private String grade;


	private Boolean isEntranceExam;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Exam getExam() {
		return exam;
	}

	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getSpecialtyCode() {
		return specialtyCode;
	}

	public void setSpecialtyCode(String specialtyCode) {
		this.specialtyCode = specialtyCode;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Boolean getDegree() {
		return degree;
	}

	public void setDegree(Boolean degree) {
		this.degree = degree;
	}

	public Boolean getRepair() {
		return repair;
	}

	public void setRepair(Boolean repair) {
		this.repair = repair;
	}

	public Boolean getGraduated() {
		return graduated;
	}

	public void setGraduated(Boolean graduated) {
		this.graduated = graduated;
	}

	public Boolean getFinished() {
		return finished;
	}

	public void setFinished(Boolean finished) {
		this.finished = finished;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	
	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public Boolean getEntranceExam() {
		return isEntranceExam;
	}

	public void setEntranceExam(Boolean entranceExam) {
		isEntranceExam = entranceExam;
	}

	public ExamStudentDTO() {
	}
}
