package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 学习中心设置考试时间,只针对离线考试
 * Created by songyue on 18/2/1.
 */
@Entity
@Table(name = "ecs_exam_org_time")
public class ExamOrgTime implements Serializable{

    private static final long serialVersionUID = -6957590800607876766L;

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long examId;

    @NotNull
    private Long orgId;

    private String orgCode;

    private String orgName;

    /**
     * 该学习中心考试开始时间
     */
    private Date beginTime;

    /**
     * 该学习中心考试结束时间
     */
    private Date endTime;

    /**
     * 是否可上传
     */
    private Boolean canUpload;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Boolean getCanUpload() {
        return canUpload;
    }

    public void setCanUpload(Boolean canUpload) {
        this.canUpload = canUpload;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public ExamOrgTime(Long examId,
                       Long orgId,
                       String orgCode,
                       String orgName,
                       Date beginTime,
                       Date endTime) {
        this.examId = examId;
        this.orgId = orgId;
        this.orgCode = orgCode;
        this.orgName = orgName;
        this.beginTime = beginTime;
        this.endTime = endTime;
    }

    public ExamOrgTime() {
    }
}
