package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "ecs_exam_student")
public class ExamStudent extends JpaEntity {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue
	private Long id;

	@NotNull
	private String name;

	@ManyToOne
	@JoinColumn(name = "examId")
	private Exam exam;

	/**
	 * 学校id
	 */
	@NotNull
	private Long rootOrgId;

	/**
	 * 学习中心id
	 */
	private Long orgId;

	/**
	 * 学习中心code
	 */
	private String orgCode;

	/**
	 * 学习中心名称
	 */
	private String orgName;

	/**
	 * 学号
	 */
	private String studentCode;

	/**
	 * 身份证号
	 */
	private String identityNumber;

	private String examNumber;

	/**
	 * 课程code
	 */
	private String courseCode;

	/**
	 * 课程名称
	 */
	private String courseName;

	/**
	 * 课程等级
	 */
	private String courseLevel;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 学位
	 */
	private Boolean degree;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 专业code
	 */
	private String specialtyCode;

	/**
	 * 是否重修
	 */
	private Boolean repair;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 是否毕业
	 */
	private Boolean graduated;

	private String remark;

	/**
	 * 是否考完
	 */
	private Boolean finished;

	/**
	 * 学生用户id
	 */
	private Long studentId;

	/**
	 * 考点
	 */
	private String examSite;

	/**
	 * 信息采集人
	 */
	private String infoCollector;

	/**
	 * 学生电话
	 */
	private String phone;

	/**
	 * 正常考试次数 不含重考
	 */
	private Integer normalExamTimes;

	/**
	 * 是否为重考
	 */
	private Boolean isReexamine;

	/**
	 * 重考原因类型
	 */
	private String reexamineType;

	/**
	 * 重考原因详情
	 */
	private String reexamineDetail;

	/**
	 * 重考已完成 true:是 false:否
	 */
	private Boolean reexamineCompleted;

	/**
	 * 考试开始时间(针对学生,网考使用)
	 */
	@Transient
	private String examBeginTime;

	/**
	 * 考试结束时间(针对学生,网考使用)
	 */
	@Transient
	private String examEndTime;

	/**
	 * 是否可上传
	 */
	private Boolean canUpload;

	/**
	 * 试卷袋编码
	 */
	private String packageCode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Exam getExam() {
		return exam;
	}

	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public Boolean getDegree() {
		return degree;
	}

	public void setDegree(Boolean degree) {
		this.degree = degree;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getSpecialtyCode() {
		return specialtyCode;
	}

	public void setSpecialtyCode(String specialtyCode) {
		this.specialtyCode = specialtyCode;
	}

	public Boolean getRepair() {
		return repair;
	}

	public void setRepair(Boolean repair) {
		this.repair = repair;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Boolean getGraduated() {
		return graduated;
	}

	public void setGraduated(Boolean graduated) {
		this.graduated = graduated;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Boolean getFinished() {
		return finished;
	}

	public void setFinished(Boolean finished) {
		this.finished = finished;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getNormalExamTimes() {
		return normalExamTimes;
	}

	public void setNormalExamTimes(Integer normalExamTimes) {
		this.normalExamTimes = normalExamTimes;
	}

	public Boolean getIsReexamine() {
		return isReexamine;
	}

	public void setIsReexamine(Boolean isReexamine) {
		this.isReexamine = isReexamine;
	}

	public String getReexamineType() {
		return reexamineType;
	}

	public void setReexamineType(String reexamineType) {
		this.reexamineType = reexamineType;
	}

	public String getReexamineDetail() {
		return reexamineDetail;
	}

	public void setReexamineDetail(String reexamineDetail) {
		this.reexamineDetail = reexamineDetail;
	}

	public Boolean getReexamineCompleted() {
		return reexamineCompleted;
	}

	public void setReexamineCompleted(Boolean reexamineCompleted) {
		this.reexamineCompleted = reexamineCompleted;
	}

	public String getExamBeginTime() {
		return examBeginTime;
	}

	public void setExamBeginTime(String examBeginTime) {
		this.examBeginTime = examBeginTime;
	}

	public String getExamEndTime() {
		return examEndTime;
	}

	public void setExamEndTime(String examEndTime) {
		this.examEndTime = examEndTime;
	}

	public Boolean getCanUpload() {
		return canUpload;
	}

	public void setCanUpload(Boolean canUpload) {
		this.canUpload = canUpload;
	}

	public String getPackageCode() {
		return packageCode;
	}

	public void setPackageCode(String packageCode) {
		this.packageCode = packageCode;
	}

}
