package cn.com.qmth.examcloud.core.examwork.service.rpc;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.dto.core.Student;
import cn.com.qmth.examcloud.commons.base.util.GsonUtil;
import cn.com.qmth.examcloud.core.examwork.service.rpc.client.StudentClient;

/**
 * 
 * @author ting.yin
 * @date 2017年1月14日
 */
@Service
public class StudentService {

	@Autowired
	StudentClient studentClient;

	public Student updatePhoto(String token,String identityNumber) {
		String json = studentClient.updatePhoto(token,identityNumber);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}
	
	public Student addStudent(String token,Student student) {
		String json = studentClient.addStudent(token,student);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public Student updateStudent(String token,Student student) {
		String json = studentClient.updateStudent(token,student);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public Student getStudent(String token,Long id) {
		String json = studentClient.getStudent(token,id);
		Student domain = GsonUtil.getInstanceByJson(json, Student.class);
		return domain;
	}

	public void deleteStudent(String token,Long id) {
		studentClient.deleteStudent(token,id);
	}

}
